FormatIntAlpha does not always give the right results.

03/07/2018 06:36 PM - Abdelghani Omari

Status: Approved Start date: 03/07/2018

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: Core Estimated time: 0.00 hour

Target version: Release 2019.1 Spent time: 0.00 hour

Description

Test Case:

void TestFormatIntAlpha()

{

    ASSERT(FormatIntAlpha(1) == "A");

    ASSERT(FormatIntAlpha(2) == "B");

    ASSERT(FormatIntAlpha(3) == "C");

    ASSERT(FormatIntAlpha(25) == "Y");

    ASSERT(FormatIntAlpha(26) == "Z"); // 26*1

    ASSERT(FormatIntAlpha(27) == "AA");

    ASSERT(FormatIntAlpha(51) == "AY"); 

    ASSERT(FormatIntAlpha(52) == "AZ"); // 26*2

    ASSERT(FormatIntAlpha(53) == "BA");

    ASSERT(FormatIntAlpha(78) == "BZ"); // 26*3

    ASSERT(FormatIntAlpha(26*26) == "YZ");

    ASSERT(FormatIntAlpha(26*26 + 1) == "ZA");

    ASSERT(FormatIntAlpha(26*26 + 26 - 1) == "ZY");

    ASSERT(FormatIntAlpha(26*26 + 26) == "ZZ");

    ASSERT(FormatIntAlpha(26*26 + 26+1) == "AAA");

    ASSERT(FormatIntAlpha(26*26 + 26+2) == "AAB");

    ASSERT(FormatIntAlpha(26*26 + 26+3) == "AAC");

    ASSERT(FormatIntAlpha(26*26 + 26+26) == "AAZ");

    ASSERT(FormatIntAlpha(26*26 + 26+26 + 1) == "ABA");

}

History

#1 - 03/08/2018 11:49 AM - Abdelghani Omari

- File Format.cpp.patch added

after more reflections, I propose this new patch :

#2 - 03/14/2018 04:36 PM - Abdelghani Omari

- File deleted (Format.cpp.patch)

#3 - 03/26/2018 07:22 PM - Abdelghani Omari

- Target version set to Release 2018.1
#4 - 04/03/2018 10:01 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 to Release 2019.1

#5 - 04/04/2018 02:03 PM - Abdelghani Omari

- Description updated

#6 - 04/23/2018 07:45 PM - Abdelghani Omari

- Status changed from Patch ready to Approved

Files

Format.cpp.patch 581 Bytes 03/08/2018 Abdelghani Omari
